h1 Purchase#index


==form_with url: purchase_index_path(), method: "get" do
  div x-data="{}"
    input x-on:change="$refs.submit.click()" name="month" type="month" value=display_month
    input x-show="false" x-ref="submit" type="submit" value="Search"

main.purchase-index
  section
    table
      thead
        tr
          th Category
          th Spent
          th %
      tbody
        - @data.each_pair do |key, value|
          - color = @colors[@data.find_index {|entry| entry[0] == key}]
          tr style="color: #{color}"
            td
              a href=purchase_show_path(key, {month: params[:month]}) style="color: #{color}"
                | #{key}
            td #{number_with_delimiter(value, delimiter: ',')} RSD
            td=value * 100/total
        
        tr
          td
            a href=purchase_show_path('*', {month: params[:month]})
              | Total
          td #{number_with_delimiter(total, delimiter: ',')} RSD
          td 100%

  section
    == pie_chart @data, donut: true, colors: @colors, thousands: ',', suffix: ' RSD', height: '500px', legend: 'bottom'
